%define name	numactl
%define version 1.0.1	
%define release	%mkrel 3
%define libname	%mklibname numa 1

Summary:	Simple NUMA policy support
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9-DESTDIR.patch.bz2
License:	GPL/LGPL
Group:		System/Configuration/Hardware
Url:		ftp://ftp.suse.com/pub/people/ak/numa
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	%{libname} = %{version}-%{release}
ExclusiveArch:	x86_64 ia64

%description
This package contains the `numactl' program to run other programs with
a specific NUMA policy.

%package -n	%{libname}
Summary:	Runtime libraries for NUMA policy support
Group:		System/Libraries
Requires:	kernel >= 2.6.7

%description -n	%{libname}
This package contains the dynamic libraries for NUMA policy support.

%package -n	%{libname}-devel
Summary:	Headers and libraries for NUMA policy
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{libname}-devel
This package contains headers and libraries useful for developing
applications using different NUMA policies.

%prep
%setup -q
#%patch0 -p0 -b .DESTDIR

%build
%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_mandir/man5/
%makeinstall_std prefix=$RPM_BUILD_ROOT/usr


%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGES
%{_bindir}/memhog
%{_bindir}/numactl
%{_bindir}/numademo
%{_bindir}/numastat
%{_bindir}/migratepages
%{_mandir}/man8/numactl.8*
%{_mandir}/man5/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libnuma.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libnuma.so
%{_includedir}/numa.h
%{_includedir}/numaif.h
%{_defaultdocdir}/%{name}/*
%{_mandir}/man3/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-3mdv2009.0
+ Revision: 241098
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 22 2007 Erwan Velu <erwan@mandriva.org> 1.0.1-1mdv2008.0
+ Revision: 69299
- 1.0.1
- Fixing url
  0.9.11

* Mon Apr 23 2007 Erwan Velu <erwan@mandriva.org> 0.9.10-1mdv2008.0
+ Revision: 17632
- 0.9.10
- Import numactl



* Wed Jan 04 2006 Erwan Velu <erwan@seanodes.com> 0.9-1mdk
- 0.9

* Wed May 18 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.6.4-1mdk
- First Mandriva Linux release
